export type GalleryEntry = {
  id: string
  description?: string
  thumbnailPosition?: `${'left' | 'center' | 'right'} ${'top' | 'center' | 'bottom'}`
  thumbnailUrl: string
  title: string | null | undefined
  url?: string
  variants?: GalleryEntries
  warning?: string
}

export type GalleryEntries = { [idOrTitle: string]: GalleryEntry }

export type GalleryList = {
  entries: GalleryEntries
}
